 * {
     margin: 0;
     padding: 0;
     box-sizing: border-box;
     font-family: 'Poppins', system-ui, sans-serif;

 }

 body {
     min-height: 100vh;
     font-family: Arial, sans-serif;
 }


 /* ============================== 
         header 
 ================================== */

 header {
     /* justify-content: space-between; */
     /* padding: 12px 20px; */
     /* position: sticky; */
     top: 0;
     padding: 0;
     /* z-index: 999; */

     width: 100%;

     background-color: var(--headr-body);

     position: fixed;

     z-index: 9;

 }

 .header {
     max-width: 1500px;
     margin: auto;
     display: flex;
     align-items: center;
     /* position: sticky; */

     /* display: flex; */
     align-items: center;
     justify-content: space-between;
     /* padding: 5px 10%; */
     /* position: fixed; */
     width: 100%;

 }

 .header {
     align-items: center;
     /* justify-content: space-around; */
     /* border-bottom: 1px solid #eee; */
     background-color: var(--headr-body);

 }

 .logo {
     margin: 0;
     font-size: 1.6rem;
     font-weight: 700;
 }

 .logo a {
     color: #fff;
     list-style: upper-alpha
 }

 .logo a:hover {
     color: #139dee;
     list-style: none;
 }

 .header-right-side {
     display: flex;
     align-items: center;
     gap: 20px;
 }

 .header-manu {
     display: flex;
     gap: 20px;
     right: 15px;
     align-items: center;
     border: 1px solid var(--headr-text);
 }

 .menu-toggle {
     font-size: 20px;
     cursor: pointer;
 }

 #navbar-mobile {
     display: none;
 }

 .menu-toggle {
     width: 30px;
     height: 30px;
     display: flex;
     flex-direction: column;
     justify-content: center;
     align-items: center;
     gap: 3px;
     cursor: pointer;
 }

 .menu-toggle span {
     width: 30px;
     height: 4px;
     background: var(--hfa-text, #000);
     display: block;
 }

 .theme-toggle img {
     width: 40px;
     height: 40px;
     background: none;
     border: none;
     display: block;
 }



 .menu {
     display: flex;
     gap: 26px;
     align-items: center;
 }

 .menu a {
     text-decoration: none;
     font-weight: 500;
     position: relative;
 }

 .menu a::after {
     content: '';
     position: absolute;
     left: 0;
     bottom: -4px;
     width: 0;
     height: 2px;
     transition: .3s;
 }

 .menu a:hover::after {
     width: 100%;
 }

 .menu .btn {
     padding: 7px 18px;
     border-radius: 22px;
 }

 @media(max-width:1023px) {

     #navbar-mobile {
         position: absolute;
         top: 60px;
         width: 190px;
         padding: 15px;
         border-radius: 8px;
         box-shadow: 0 5px 20px rgba(0, 0, 0, 0.2);
         box-shadow: var(--box-shadow);
         height: 100vh;
         right: 0;
         background-color: var(--hfa-body, #000);
     }

     #navbar-mobile.show {
         display: block;
     }

     .navbar-mobile {
         list-style: none;
         padding: 0;
         margin: 0;
         height: 75vh;
         overflow: scroll;
     }

     #navbar-mobile li {
         margin: 18px 0;
     }


     #navbar-mobile a {
         text-decoration: none;
         padding: 11px 0;
         color: var(--hfa-text, #fff);
     }

     #navbar-mobile a:hover {
         color: var(--text-hover, #0499fddd);
     }

     .mobile-social {
         display: flex;
         justify-content: space-around;
         margin-top: 10px;
         font-size: 18px;
         overflow: scroll;
         width: 150px;
         gap: 25px;
         position: fixed;
         bottom: 15px;
     }

     header {
         display: flex;
         padding: 8px 12px;
         padding-bottom: 5px;
         background-color: var(--hfa-body, #000);
         color: var(--hfa-text, #fff);
     }

     #langBtn {
         cursor: pointer;
     }
 }

 @media(min-width:1020px) {
     .menu-toggle {
         display: none;
     }
 }

 @media (max-width: 1000px) {

     #navbar ul {
         flex-direction: column;
         gap: 0;
     }

     #navbar li {
         padding: 14px 20px;
         /* border-bottom: 1px solid #222; */
     }
 }



 @media(max-width:768px) {
     .dots {
         display: block
     }

     .menu {
         position: absolute;
         top: 60px;
         right: 18px;
         width: 190px;
         flex-direction: column;
         gap: 14px;
         padding: 16px;
         border-radius: 14px;
         box-shadow: 0 15px 35px rgba(0, 0, 0, .18);
         opacity: 0;
         transform: translateY(-10px) scale(.95);
         pointer-events: none;
         transition: .35s ease;
     }

     .menu.show {
         opacity: 1;
         transform: translateY(0) scale(1);
         pointer-events: auto;
     }

     .menu a {
         padding: 6px 0;
     }

     .menu .btn {
         text-align: center;
     }

     .header {
         padding: 0px 22px;
     }
 }



 /* new header */
 .logo a {
     color: var(--tital);
 }




 .lap-manu-ul {
     display: flex;
     gap: 35px;
 }

 .lap-manu-ul li,
 .lap-manu a {
     list-style: none;
     text-decoration: none;
     color: var(--headr-text);

 }


 .pages-dropdown a {
     text-decoration: none;
     color: var(--headr-text);

 }

 .lap-manu-ul a:hover {
     text-decoration: overline;
     text-decoration-color: var(--text-color);
     color: var(--tital);
 }



 @media (max-width:1023px) {
     .lap-manu {
         display: none;
     }

     .header {
         display: flex;
         align-items: center;
         justify-content: space-between;
         /* padding: 10px 22px; */
         width: 100%;
     }

 }

 .menu-pages {
     position: relative;
 }

 .pages-dropdown {
     display: none;
     position: absolute;
     top: 100%;
     left: 0;
     background: var(--headr-body, #0f172a);
     padding: 20px 10px;
     border-radius: 10px;
     min-width: 200px;
 }

 .pages-dropdown ul {
     gap: 30px;
 }

 .menu-pages:hover .pages-dropdown {
     display: block;
 }

 .menu-pages summary {
     list-style: none;
     cursor: pointer;
 }

 .menu-pages summary::-webkit-details-marker {
     display: none;
 }

 /* ----------------------- header   ------------------------------- */



 /* ===================== 
     === sidebar  ==== 
 ========================== */

 .sidebar {
     width: 230px;
     background: var(--hfa-body, #0f0f14);
     color: var(--hfa-text, #fff);
     padding: 20px;
     position: fixed;
     top: 0;
     left: 0;
     height: 100vh;
     border-right: 1px solid;
 }

 .main-content {
     margin-left: 230px;
     flex: 1;
     min-height: 100vh;
 }


 .sidebar-nav {
     overflow: auto;
     height: 80vh;
     padding: 0 1px 101px;
 }


 .sidebar-brand {
     margin-bottom: 30px;
 }

 .brand-title {
     font-weight: bold;
     text-transform: lowercase;
 }

 .brand-tagline {
     font-size: 18px;
     opacity: 0.9;
     margin-top: 20px;
     margin-top: 55px;
 }

 .sidebar-nav {
     flex: 1;
 }

 .nav-list {
     list-style: none;
     padding: 0;
     margin: 0;
 }

 .nav-item {
     padding: 10px 0;
     cursor: pointer;
     font-size: 15px;
     transition: color 0.3s;
     text-decoration: none;
 }

 .nav-item a {
     color: var(--hfa-text, #fff);
     text-decoration: none;
 }




 .nav-item:hover {
     color: #bc1be7;
 }

 .nav-item a:hover {
     color: #bc1be7;
 }

 .has-submenu {
     margin-top: 10px;
 }

 .submenu {
     list-style: none;
     padding-left: 15px;
     margin-top: 8px;
 }

 .submenu li {
     /* font-size: 13px; */
     padding: 6px 0;
     opacity: 0.9;
     cursor: pointer;
 }

 .submenu li:hover {
     color: #bc1be7;
     opacity: 1;
 }

 .submenu a:hover {
     color: #bc1be7;
     opacity: 1;
 }

 .sidebar-footer hr {
     border: none;
     border-top: 2px solid rgba(0, 123, 255, 0.808);
     margin: 20px 0;
 }

 .social-links {
     list-style: none;
     padding: 0;
     display: flex;
     gap: 25px;
     /* font-size: 20px; */
     overflow: auto;
     width: 195px;
     scrollbar-width: none;
 }

 .social-links li,
 .social-links a {
     cursor: pointer;
     opacity: 0.9;
     color: var(--hfa-text, #000000);
     text-decoration: none;
     font-weight: 700;
 }

 .social-links li:hover {
     color: #bc1be7;
     opacity: 1;
 }

 .social-links a:hover {
     color: #bc1be7;
     opacity: 1;
 }

 .staky-card {
     position: relative;
 }

 .staky-card:hover {
     background-color: #d8e1ff;
 }

 .icon {
     border: 1px solid;
     padding: 0px 6px;

 }

 .icon:hover {
     color: #ff3a3a;
 }

 .card-wrapper {
     display: flex;
     gap: 20px;
     padding-top: 30px;
     height: 130px;
     justify-content: space-evenly;
 }

 .staky-card {
     width: 340px;
     padding: 14px 16px;
     border-radius: 12px;
     box-shadow: var(--box-shadow);

     transform: translateY(-80%);
 }

 .staky-card .name {
     font-weight: 600;
     margin-bottom: 4px;
 }

 .staky-card .desc {
     font-size: 14px;
 }



 @media (max-width: 1000px) {

     body {
         flex-direction: column;
     }

     .header-manu {
         right: 50px;
     }

     .sidebar {
         display: none;
     }

     .main-content {
         margin-left: 0;
         padding: 0px;
     }

     .hamburger {
         display: flex;
     }

     #navbar {
         position: absolute;
         top: 60px;
         right: 0;
         width: auto;
         transform: translateX(100%);
         transition: 0.3s ease;
     }

     #navbar.active {
         transform: translateX(0);
     }

     #navbar ul {
         flex-direction: column;
     }

     #navbar li {
         padding: 14px 20px;
         /* border-bottom: 1px solid #222; */
     }


     .card-wrapper {
         flex-direction: column;
         height: auto;
         gap: 15px;
         padding: 20px 0;
     }

     .staky-card {
         width: 100%;
         transform: translateY(0);
     }

 }

 @media (max-width: 1000px) {
     .sidebar {
         display: none;
     }

     .main-content {
         margin: 0%;

     }
 }





 /* -------------------------- sidebar  ---------------------------------------------------------- */

 .hr {
     bottom: 55px;
     position: fixed;
     padding: 2px;
     width: 150px;
 }

 .item-btns {
     background: #642b7b;
     padding: 10px 43px;
     border-radius: 10px;
     margin-top: 70px;
 }
























 /* =================================
FOOTER section
====================================*/
 .pro-footer {
     background: var(--bg-color, #0c0c0c);
     padding: 60px 5px 0 10px;
 }

 .footer-container {
     display: grid;
     grid-template-columns: 1.5fr 0.5fr 0.5fr 1fr;
     gap: 40px;
     max-width: 1500px;
     margin: auto;
 }

 .footer-col h3 {
     margin-bottom: 12px;
 }

 .footer-col a {
     display: block;
     margin: 6px 0;
     text-decoration: none;
     transition: 0.3s ease;
 }

 .footer-col a:hover {
     padding-left: 6px;
 }

 .footer-social {
     display: flex;
     gap: 12px;
     margin-top: 15px;
 }


 .footer-social i {
     margin-right: 15px;
     cursor: pointer;
     transition: all 0.3s ease;
 }

 .footer-social i:hover {
     transform: scale(1.2);
 }

 .footer-social .icon {
     font-family: "FontAwesome";
     width: 40px;
     height: 40px;
     background: #1a1a1a;
     display: flex;
     align-items: center;
     justify-content: center;
     border-radius: 8px;
     text-decoration: none;
     transition: 0.3s;
 }

 .footer-social .icon:hover {
     background: #fff;
     color: #000;
     transform: translateY(-4px);
 }

 .footer-bottom {
     text-align: center;
 }


 .footer-container {
     display: grid;
     /* grid-template-columns: 2fr 1fr 1fr 1fr; */
     gap: 40px;
     max-width: 1500px;
     margin: auto;
 }

 .footer-col h3 {
     margin-bottom: 12px;
 }

 .footer-col a {
     display: block;
     margin: 6px 0;
     color: var(--text-color, #000000);
     text-decoration: none;
     transition: 0.3s ease;
 }

 .footer-col a:hover {
     padding-left: 6px;
 }

 .brand h2 {
     margin-bottom: 10px;
 }

 .footer-social {
     display: flex;
     gap: 12px;
     margin-top: 15px;
 }

 .footer-social .icon {
     font-family: "FontAwesome";
     width: 40px;
     height: 40px;
     display: flex;
     align-items: center;
     justify-content: center;
     border-radius: 8px;
     text-decoration: none;
     transition: 0.3s;
 }

 .footer-social .icon:hover {
     background: #ffffff;
     color: #000;
     transform: translateY(-4px);
 }

 .footer-bottom {
     text-align: center;
 }


 .footer {
     margin-left: 230px;
     border-top: 1px dotted;
 }

 @media (max-width: 1000px) {
     .footer {
         margin-left: 0px;
         padding: 0 25px;
     }

     .details {
         padding: 20px 0 0;
     }


 }



 @media (min-width:768px) {

     .pro-footer .summary {
         display: none;
         padding: 20px 00;
     }

 }

 @media (max-width:767px) {

     .pro-footer .summary {
         display: block;
         cursor: pointer;
     }

 }



 .sidebar-footer {
     background: var(--hfa-body, #9c9cde);
     padding: 0px 16px 2% 16px;
     position: fixed;
     bottom: 0;
     left: 0;

 }


 .footer-bottom {
     width: 100%;
     padding: 21px 58px 2% 25px;
     position: relative;
     bottom: 0;
     width: 100%;
 }

 @media (max-width: 900px) {
     .footer-container {
         grid-template-columns: 1fr 1fr;
     }

     .footer-bottom {
         width: 100%;
         padding: 14px 10px 5% 10px;
         position: relative;
         bottom: 0;
         width: 100%;
     }
 }

 @media (max-width: 500px) {
     .footer-container {
         grid-template-columns: 1fr;
     }

     .footer-social {
         justify-content: flex-start;
     }
 }


 /* ================= FOOTER end ================= */










 p {
     opacity: 0.9;
 }

 h1,
 h2,
 h3,
 h4 {
     opacity: 1;
 }



 @media (min-width:1281px) {
     .section {
         max-width: 1400px;
         margin: auto;
     }
 }

 @media (max-width:1280px) {
     .section {
         max-width: 1100px;
         margin: auto;
     }
 }